
@tabs-bg-color: transparent;

.toolbar {
    &.masked {
        button.disabled .icon:not(.no-mask) {
            background-position-x: 0px !important;
        }
        .group:not(.no-mask) {
            opacity: 0.4;
        }
    }

    .font-attr {
        > .btn-slot:not(:last-child):not(.split) {
            margin-right: 6px;
        }

        > .btn-slot:not(:last-child).split {
            margin-right: 2px;
        }
    }
}

.toolbar-group-mask {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    background-color: @gray-light;
    z-index: @zindex-tooltip + 1;
}

.item-markerlist {
    .background-ximage-v2('toolbar/bullets-and-numbering.png', 38px);
    width: 38px;
    height: 38px;
}

.dropdown-menu.toc-menu {
    @contents-menu-item-height: 72px;
    --bckgHOffset: ~"0px";

    > li > a.item-contents {
        div {
            .background-ximage-v2('toolbar/contents.png', 246px, @commonimage: false);
            width: 246px;
            height: @contents-menu-item-height;

            .box-shadow(0 0 0 1px @gray);

            &:hover,
            &.selected {
                .box-shadow(0 0 0 2px @primary);
            }
        }

        &:hover, &:focus {
            background-color: transparent;

            div {
                .box-shadow(0 0 0 2px @primary);
            }
        }
    }

    .loop(@counter) when (@counter > 0) {
        .loop((@counter - 1));
        li:nth-child(@{counter}) > a.item-contents {
            div {
                @incr-height: (@counter - 1)*@contents-menu-item-height;
                background-position: 0 ~"calc(var(--bckgHOffset) - @{incr-height})";
            }
        }
    }

    .loop(2);
}

.color-schemas-menu {
    span {
        &.colors {
            display: inline-block;
            margin-right: 15px;
        }

        &.color {
            display: inline-block;
            width: 12px;
            height: 12px;
            margin-right: 2px;
            border: 1px solid rgba(0, 0, 0, 0.2);
            vertical-align: middle;
        }

        &.text {
            vertical-align: middle;
        }
    }
    &.checked {
        &:before {
            display: none !important;
        }
        &, &:hover, &:focus {
            background-color: @primary;
            color: @dropdown-link-active-color;
            span.color {
                border-color: rgba(255,255,255,0.7);
            }
        }
    }
}
// page number position
.menu-pageposition {
    .dataview {
        width: 125px;
        height: 85px;
        margin: 0 auto;

        &.disabled {
            > .item {
                cursor: default;
                opacity: 0.5;

                &:hover {
                    .box-shadow(0 0 0 1px @gray);
                }
            }
        }
    }

    .item-pagenumber {
        .background-ximage('@{app-image-path}/toolbar/colontitules.png', '@{app-image-path}/toolbar/colontitules@2x.png', 33px);
        width: 33px;
        height: 33px;
    }
}

// menu zoom
.menu-zoom {
    line-height: @line-height-base;
    .title {
        padding: 5px 5px 5px 20px;
        float: left;
        //max-width: 95px;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .zoom {
        padding: 5px 3px;
        float: right;
        min-width: 40px;
        text-align: center;
    }
}


.username-tip {
    background-color: #ee3525;
    border: none;
    border-radius: 0;
    padding: 3px 10px;
    color: #ffffff;
    font: 11px arial;
    white-space: nowrap;
    letter-spacing: 1px;
    overflow: hidden;
    text-overflow: ellipsis;
}

#id-toolbar-menu-auto-fontcolor > a.selected,
#control-settings-system-color > a.selected,
#control-settings-system-color > a:hover {
    span {
        outline: 1px solid #000;
        border: 1px solid #fff;
    }
}

.item-equation {
    border: 1px solid @gray;
    .background-ximage-v2('toolbar/math.png', 1500px, @commonimage: true);
}

.save-style-container {
    cursor: default;
    position: relative;
    padding: 14px 11px;
    border-left: 1px solid @gray;
    border-top: 1px solid @gray;
}

.save-style-link {
    border-bottom: 1px dotted #aaa;
    cursor: pointer;
    margin-left: 22px;
}

.plus {
    width: 16px;
    height: 16px;
    cursor: pointer;
    position: absolute;
    background-position: @plus-offset-x @plus-offset-y;
}

.dropdown-menu > .disabled {
    .plus, .save-style-link {
        cursor: default;
        color: @dropdown-link-disabled-color;
        background-position: @plus-offset-x @plus-offset-y - 16;
    }
}

#slot-field-fontname {
    float: left;
    width: 158px;
}

#slot-field-fontsize {
    float: left;
    width: 45px;
    margin-left: 2px;
}

#slot-btn-incfont, #slot-btn-decfont {
    margin-left: 2px;
}

#slot-field-styles {
    width: 100%;
    min-width: 160px;
}

#special-paste-container {
    position: absolute;
    z-index: @zindex-dropdown - 20;
    background-color: @gray-light;
    border: 1px solid @gray;
}
